[slurm-users] Slurm and available libraries

Loris Bennett loris.bennett at fu-berlin.de
Wed Jan 17 08:53:40 MST 2018


Hi Ole,

Ole Holm Nielsen <Ole.H.Nielsen at fysik.dtu.dk> writes:

> John: I would refrain from installing the old default package
> "environment-modules" from the Linux distribution, since it doesn't
> seem to be maintained any more.

Is this still true? Here

  http://modules.sourceforge.net/

there is a version 4.1.0 which is two days old.  Does anyone have any
experience of this and how it compares to the old version and/or Lmod?

> Lmod, on the other hand, is actively maintained and solves some
> problems with the old "environment-modules" software.
>
> There's an excellent review paper on different module tools: "Modern
> Scientific Software Management Using EasyBuild and Lmod",
> http://dl.acm.org/citation.cfm?id=2691141

Thanks for the link.  I would also be interested in how EasyBuild and
Spack compare in practice.

This is all very OT, so it might be better to discuss it on, say, the
OpenHPC mailing list, since as far as I can tell Spack, EasyBuild and
Lmod (but not old or new 'environment-modules') are part of OpenHPC.

Cheers,

Loris

-- 
Dr. Loris Bennett (Mr.)
ZEDAT, Freie Universit├Ąt Berlin         Email loris.bennett at fu-berlin.de



More information about the slurm-users mailing list